[package]
name = "libappstream-sys"
authors.workspace = true
version.workspace = true
description = "FFI bindings for appstream"
homepage = "https://world.pages.gitlab.gnome.org/Rust/libappstream-rs/"
license = "MIT"
repository = "https://gitlab.gnome.org/World/Rust/libappstream-rs"
documentation = "https://world.pages.gitlab.gnome.org/Rust/libappstream-rs/git/docs/libappstream_sys/"
categories = ["api-bindings"]
edition = "2021"
build = "build.rs"
keywords = ["appstream", "appdata", "metadata"]
links = "appstream"

[package.metadata.system-deps.appstream]
name = "appstream"
version = "1.0.0"

[package.metadata.docs.rs]
rustc-args = ["--cfg", "docsrs"]
rustdoc-args = ["--cfg", "docsrs", "--generate-link-to-definition"]
all-features = true

[dependencies]
libc = "0.2"

[dependencies.glib-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gio-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gobject-sys]
git = "https://github.com/gtk-rs/gtk-rs-core"

[build-dependencies]
system-deps = "7"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
